Skip to main content
GET
/
conversations
/
v3
/
conversations
/
channel-accounts
/
{channelAccountId}
Get a single channel account
curl --request GET \
  --url https://api.hubapi.com/conversations/v3/conversations/channel-accounts/{channelAccountId} \
  --header 'Authorization: Bearer <token>'
{
  "active": true,
  "archived": true,
  "authorized": true,
  "channelId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "inboxId": "<string>",
  "name": "<string>",
  "archivedAt": "2023-11-07T05:31:56Z",
  "deliveryIdentifier": {
    "type": "CHANNEL_SPECIFIC_OPAQUE_ID",
    "value": "<string>"
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

channelAccountId
integer<int64>
required

Query Parameters

archived
boolean
default:false

Whether to return only results that have been archived.

Response

successful operation

active
boolean
required

Whether the channel account is turned on.

archived
boolean
required
authorized
boolean
required
channelId
string
required

The ID of the channel that the channel account is an instance of.

createdAt
string<date-time>
required
id
string
required

The ID of the channel account.

inboxId
string
required

The ID of the conversations inbox that contains the channel account.

name
string
required

The name of the channel account.

archivedAt
string<date-time>
deliveryIdentifier
object
Last modified on March 30, 2026